<?php

namespace Ecoyn\Setup\Steps;

use QUI;

use function dirname;

/**
 * Class DistributionType
 * - Business Type
 */
class Finish extends QUI\InstallationWizard\AbstractInstallationWizardStep
{
    /**
     * @param null $Locale
     * @return string
     */
    public function getTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'set.up.finish.step.title');
    }

    /**
     * @param null $Locale
     * @return string
     */
    public function getDescription($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'set.up.finish.step.description');
    }

    /**
     * @return string
     */
    public function create(): string
    {
        $Engine = QUI::getTemplateManager()->getEngine();

        $Engine->assign([
            'urlImageDir' => URL_OPT_DIR . 'ecoyn/core/bin/setup/'
        ]);

        return $Engine->fetch(dirname(__FILE__) . '/Finish.html');
    }
}
